<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<!-- Generated by Apache Maven Doxia Site Renderer 1.3 at Nov 29, 2016 -->
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
  <head>
    <meta http-equiv="Content-Type" content="text/html; charset=${outputEncoding}" />
    <title>PMD Results</title>
    <style type="text/css" media="all">
      @import url("./css/maven-base.css");
      @import url("./css/maven-theme.css");
      @import url("./css/site.css");
    </style>
    <link rel="stylesheet" href="./css/print.css" type="text/css" media="print" />
    <meta name="Date-Revision-yyyymmdd" content="20161129" />
    <meta http-equiv="Content-Language" content="en" />
        
        </head>
  <body class="composite">
    <div id="banner">
                      <div class="clear">
        <hr/>
      </div>
    </div>
    <div id="breadcrumbs">
            
            
                <div class="xleft">
        <span id="publishDate">Last Published: 2016-11-29</span>
                  &nbsp;| <span id="projectVersion">Version: ${project.version}</span>
                      </div>
            <div class="xright">        
            
      </div>
      <div class="clear">
        <hr/>
      </div>
    </div>
    <div id="leftColumn">
      <div id="navcolumn">
             
            
                                      <a href="http://maven.apache.org/" title="Built by Maven" class="poweredBy">
        <img class="poweredBy" alt="Built by Maven" src="./images/logos/maven-feather.png" />
      </a>
                   
            
            </div>
    </div>
    <div id="bodyColumn">
      <div id="contentBox">
        <div class="section"><h2>PMD Results<a name="PMD_Results"></a></h2><p>The following document contains the results of <a class="externalLink" href="http://pmd.sourceforge.net/">PMD</a> 5.0.5.</p></div><div class="section"><h2>Files<a name="Files"></a></h2><div class="section"><h3>org/eclipse/papyrus/designer/languages/common/base/GenUtils.java<a name="orgeclipsepapyrusdesignerlanguagescommonbaseGenUtils.java"></a></h3><table align="center" border="0" class="bodyTable"><tr class="a"><th>Violation</th><th>Line</th></tr><tr class="b"><td>Avoid unused imports such as 'java.io.File'</td><td><a href="./xref/org/eclipse/papyrus/designer/languages/common/base/GenUtils.html#L14">14</a></td></tr><tr class="a"><td>Useless parentheses.</td><td><a href="./xref/org/eclipse/papyrus/designer/languages/common/base/GenUtils.html#L106">106</a></td></tr><tr class="b"><td>Useless parentheses.</td><td><a href="./xref/org/eclipse/papyrus/designer/languages/common/base/GenUtils.html#L106">106</a></td></tr><tr class="a"><td>These nested if statements could be combined</td><td><a href="./xref/org/eclipse/papyrus/designer/languages/common/base/GenUtils.html#L231">231</a>&#x2013;<a href="./xref/org/eclipse/papyrus/designer/languages/common/base/GenUtils.html#L233">233</a></td></tr><tr class="b"><td>These nested if statements could be combined</td><td><a href="./xref/org/eclipse/papyrus/designer/languages/common/base/GenUtils.html#L237">237</a>&#x2013;<a href="./xref/org/eclipse/papyrus/designer/languages/common/base/GenUtils.html#L239">239</a></td></tr><tr class="a"><td>These nested if statements could be combined</td><td><a href="./xref/org/eclipse/papyrus/designer/languages/common/base/GenUtils.html#L270">270</a>&#x2013;<a href="./xref/org/eclipse/papyrus/designer/languages/common/base/GenUtils.html#L272">272</a></td></tr><tr class="b"><td>These nested if statements could be combined</td><td><a href="./xref/org/eclipse/papyrus/designer/languages/common/base/GenUtils.html#L778">778</a>&#x2013;<a href="./xref/org/eclipse/papyrus/designer/languages/common/base/GenUtils.html#L783">783</a></td></tr><tr class="a"><td>These nested if statements could be combined</td><td><a href="./xref/org/eclipse/papyrus/designer/languages/common/base/GenUtils.html#L800">800</a>&#x2013;<a href="./xref/org/eclipse/papyrus/designer/languages/common/base/GenUtils.html#L805">805</a></td></tr><tr class="b"><td>These nested if statements could be combined</td><td><a href="./xref/org/eclipse/papyrus/designer/languages/common/base/GenUtils.html#L830">830</a>&#x2013;<a href="./xref/org/eclipse/papyrus/designer/languages/common/base/GenUtils.html#L835">835</a></td></tr><tr class="a"><td>These nested if statements could be combined</td><td><a href="./xref/org/eclipse/papyrus/designer/languages/common/base/GenUtils.html#L860">860</a>&#x2013;<a href="./xref/org/eclipse/papyrus/designer/languages/common/base/GenUtils.html#L865">865</a></td></tr><tr class="b"><td>Unnecessary use of fully qualified name 'org.eclipse.uml2.uml.Package' due to existing import 'org.eclipse.uml2.uml.Package'</td><td><a href="./xref/org/eclipse/papyrus/designer/languages/common/base/GenUtils.html#L1100">1100</a></td></tr><tr class="a"><td>Unnecessary use of fully qualified name 'org.eclipse.papyrus.designer.languages.common.profile.Codegen.Project' due to existing import 'org.eclipse.papyrus.designer.languages.common.profile.Codegen.Project'</td><td><a href="./xref/org/eclipse/papyrus/designer/languages/common/base/GenUtils.html#L1474">1474</a></td></tr><tr class="b"><td>Unnecessary use of fully qualified name 'org.eclipse.papyrus.designer.languages.common.profile.Codegen.Project' due to existing import 'org.eclipse.papyrus.designer.languages.common.profile.Codegen.Project'</td><td><a href="./xref/org/eclipse/papyrus/designer/languages/common/base/GenUtils.html#L1475">1475</a></td></tr></table></div><div class="section"><h3>org/eclipse/papyrus/designer/languages/common/base/ILocationStrategy.java<a name="orgeclipsepapyrusdesignerlanguagescommonbaseILocationStrategy.java"></a></h3><table align="center" border="0" class="bodyTable"><tr class="a"><th>Violation</th><th>Line</th></tr><tr class="b"><td>Avoid modifiers which are implied by the context</td><td><a href="./xref/org/eclipse/papyrus/designer/languages/common/base/ILocationStrategy.html#L17">17</a></td></tr><tr class="a"><td>Avoid modifiers which are implied by the context</td><td><a href="./xref/org/eclipse/papyrus/designer/languages/common/base/ILocationStrategy.html#L19">19</a></td></tr></table></div><div class="section"><h3>org/eclipse/papyrus/designer/languages/common/base/ModelElementsCreator.java<a name="orgeclipsepapyrusdesignerlanguagescommonbaseModelElementsCreator.java"></a></h3><table align="center" border="0" class="bodyTable"><tr class="b"><th>Violation</th><th>Line</th></tr><tr class="a"><td>Useless parentheses.</td><td><a href="./xref/org/eclipse/papyrus/designer/languages/common/base/ModelElementsCreator.html#L131">131</a></td></tr><tr class="b"><td>Useless parentheses.</td><td><a href="./xref/org/eclipse/papyrus/designer/languages/common/base/ModelElementsCreator.html#L131">131</a></td></tr></table></div><div class="section"><h3>org/eclipse/papyrus/designer/languages/common/base/ProcessWrapper.java<a name="orgeclipsepapyrusdesignerlanguagescommonbaseProcessWrapper.java"></a></h3><table align="center" border="0" class="bodyTable"><tr class="a"><th>Violation</th><th>Line</th></tr><tr class="b"><td>Avoid empty catch blocks</td><td><a href="./xref/org/eclipse/papyrus/designer/languages/common/base/ProcessWrapper.html#L72">72</a>&#x2013;<a href="./xref/org/eclipse/papyrus/designer/languages/common/base/ProcessWrapper.html#L74">74</a></td></tr></table></div><div class="section"><h3>org/eclipse/papyrus/designer/languages/common/base/codesync/RecordEventsListener.java<a name="orgeclipsepapyrusdesignerlanguagescommonbasecodesyncRecordEventsListener.java"></a></h3><table align="center" border="0" class="bodyTable"><tr class="a"><th>Violation</th><th>Line</th></tr><tr class="b"><td>Useless parentheses.</td><td><a href="./xref/org/eclipse/papyrus/designer/languages/common/base/codesync/RecordEventsListener.html#L77">77</a></td></tr><tr class="a"><td>Useless parentheses.</td><td><a href="./xref/org/eclipse/papyrus/designer/languages/common/base/codesync/RecordEventsListener.html#L77">77</a></td></tr><tr class="b"><td>Useless parentheses.</td><td><a href="./xref/org/eclipse/papyrus/designer/languages/common/base/codesync/RecordEventsListener.html#L78">78</a></td></tr><tr class="a"><td>These nested if statements could be combined</td><td><a href="./xref/org/eclipse/papyrus/designer/languages/common/base/codesync/RecordEventsListener.html#L78">78</a>&#x2013;<a href="./xref/org/eclipse/papyrus/designer/languages/common/base/codesync/RecordEventsListener.html#L83">83</a></td></tr><tr class="b"><td>Useless parentheses.</td><td><a href="./xref/org/eclipse/papyrus/designer/languages/common/base/codesync/RecordEventsListener.html#L78">78</a></td></tr></table></div></div>
      </div>
    </div>
    <div class="clear">
      <hr/>
    </div>
    <div id="footer">
      <div class="xright">
              Copyright &#169;  All Rights Reserved.      
            
                  </div>
      <div class="clear">
        <hr/>
      </div>
    </div>
  </body>
</html>
